package a1MVC;

import javax.swing.JFrame;

public class ApplicationDriver {

	static final int WIDTH = 350;
	static final int HEIGHT = 250;
	//static String fileName = "worldrecordsmen.txt";
	static String fileName = "worldrecordswomen.txt";

	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});
	}

	private static void createAndShowGUI() {
		WorldRecordGUI frame = new WorldRecordGUI(new WorldRecordsDataModel(
				fileName));
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setTitle(frame.getClass().getName());
		frame.pack();
		frame.show();
	}

}
