package a1MVC;

import java.awt.*;
import javax.swing.*;

public class View2 extends JPanel {
	JList list;
	JPanel mainPanel;
	WorldRecordsDataModel dataModel;

	public View2(WorldRecordsDataModel _dM) {
		dataModel = _dM;
		mainPanel = new JPanel();
		mainPanel.setLayout(new BoxLayout(mainPanel, BoxLayout.Y_AXIS));
		JLabel viewLabel = new JLabel();
		viewLabel.setText("Per Country Medal Totals");
		viewLabel.setFont(new Font("Serif", Font.ITALIC, 14));
		viewLabel.setAlignmentX(Component.LEFT_ALIGNMENT);
		mainPanel.add(viewLabel);

		list = new JList(dataModel);
		/*
		 * NB: javax.swing.plaf.basic.BasicListUI$Handler registers its own
		 * ListDataListener to the dataModel. This ListDataListener re-renders
		 * itself if the dataModel changes
		 */

		JScrollPane scrollPane = new JScrollPane(list);
		scrollPane.setPreferredSize(new Dimension(100, 250));
		mainPanel.add(scrollPane);
		list.setAlignmentX(Component.LEFT_ALIGNMENT);
		dataModel.setListSelectionModel(list.getSelectionModel());
	}

	public JPanel getView() {
		return mainPanel;
	}

} // End of class DataView2

